#!/bin/sh


dpkg -i dnsmasq.deb
dpkg -i ethtool_arm64.deb
dpkg -i picocom_3.1-2_arm64.deb
dpkg -i golang-cfssl.deb
systemctl stop lrgateway

cp -r lora /root/
cp -r .func /root/
cp -r html /var/www/
chown www-data:www-data -R /var/www/html
cp hostapd.conf /etc/hostapd/
cp apache2.conf /etc/apache2/
cp dnsmasq.conf /etc/
passwd << EOF
heltec.org
heltec.org
EOF

cp docker-compose /usr/bin/docker-compose
cp update_gwid.sh /root/lora/packet_forwarder/lora_pkt_fwd/
cp /var/www/html/conf/global_conf.json /root/lora/packet_forwarder/lora_pkt_fwd/
htpasswd -bc /etc/apache2/.htpasswd HT-M02 heltec.org

echo HT-M02 > /etc/hostname
 sed -i "s/linaro-alip/HT-M02/g" /etc/hosts
sync

if [ "$1" = "4G" ] || [ "$1" = "WIFI" ]
then
	echo $1 > /root/.func/config
fi

if [ "$2" = "4G" ] || [ "$2" = "WIFI" ]
then
	echo $2 >> /root/.func/config
fi

cp rc.local /etc/
cp clearlog.service /etc/systemd/system/
cp watchdog.service /etc/systemd/system/
cp clearlog.timer /etc/systemd/system/
cp wifi_ap.service /etc/systemd/system/
sync
sync
